## com.google.appengine.api.search
Class InternalFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.InternalFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class InternalFailureException

extends java.lang.RuntimeException

Thrown to indicate that a search service failure occurred.

See Also:
  Serialized Form

Constructor Summary
`InternalFailureException(java.lang.String detail)` Constructs an exception which indicates an internal error occurred in the search service.
`InternalFailureException(java.lang.String detail, java.lang.Exception e)` Constructs an exception which indicates an internal error occurred in the search service.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalFailureException

    public InternalFailureException(java.lang.String detail)

  Constructs an exception which indicates an internal error occurred in the search service.

  Parameters:
    `detail` - the error message detail to associate with the internal error

### InternalFailureException

    public InternalFailureException(java.lang.String detail,
                                    java.lang.Exception e)

  Constructs an exception which indicates an internal error occurred in the search service.

  Parameters:
    `detail` - the error message detail to associate with the internal error
    `e` - the causing `Exception`